﻿// Copyright (c) 2020 Tudor Stanciu

using AutoMapper;
using Tuitio.Application.Extensions;
using Tuitio.Domain.Entities;
using dto = Tuitio.PublishedLanguage.Dto;
using models = Tuitio.Domain.Models;

namespace Tuitio.Application.Mappings
{
    public class MappingProfile : Profile
    {
        public MappingProfile()
        {
            CreateMap<models.Token, dto.AuthorizationResult>();
            CreateMap<AppUser, models.Token>()
                .ForMember(z => z.Claims, src => src.MapFrom(z => z.Claims.ToDictionary()));

            CreateMap<models.Account.LogoutResult, dto.AccountLogoutResult>();
        }
    }
}
