﻿// Copyright (c) 2020 Tudor Stanciu

using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Tuitio.Domain.Entities;

namespace Tuitio.Domain.Data.EntityTypeConfiguration
{
    class UserGroupConfiguration : IEntityTypeConfiguration<UserGroup>
    {
        public void Configure(EntityTypeBuilder<UserGroup> builder)
        {
            builder.ToTable("UserGroup").HasKey(z => z.UserGroupId);
            builder.Property(z => z.UserGroupId).ValueGeneratedOnAdd();
            builder.HasMany(z => z.GroupRoles).WithOne().HasForeignKey(z => z.UserGroupId);
        }
    }
}
