﻿// Copyright (c) 2020 Tudor Stanciu

using System;
using System.Collections.Generic;

namespace Tuitio.PublishedLanguage.Dto
{
    public record AccountLoginResult(string Token, double ExpiresIn);
    public record AccountLogoutResult(int UserId, string UserName, DateTime LogoutDate);
    public class AuthorizationResult
    {
        public Guid TokenId { get; init; }
        public int UserId { get; init; }
        public string UserName { get; init; }
        public string FirstName { get; init; }
        public string LastName { get; init; }
        public string Email { get; init; }
        public string SecurityStamp { get; init; }
        public string LockStamp { get; init; }
        public DateTime CreatedAt { get; init; }
        public double ExpiresIn { get; init; }
        public Dictionary<string, string> Claims { get; init; }
    }
}
